Bug 105562 - LOCALHELP: AND, OR with range as argument: function uses not only current column or row
Summary: LOCALHELP: AND, OR with range as argument: function uses not only current col...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.2.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2017-01-26 22:06 UTC by Gilward Kukel
Modified: 2018-03-22 23:57 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gilward Kukel 2017-01-26 22:06:52 UTC
Description:
In the local help for Calc the descriptions of AND and OR on the page Logical Functions say:
"If a range is entered as a parameter, the function uses the value from the range that is in the current column or row."
This is wrong. All values in the range are used.

https://help.libreoffice.org/Calc/Logical_Functions#OR

Actual Results:  
 

Expected Results:
 


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Olivier Hallot 2017-04-06 14:43:34 UTC
Confirmed. All values of the range are AND'ed and OR'ed.
Comment 2 Commit Notification 2018-03-22 19:10:04 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=d0a2cca6885c900fd362bdd7a72e382fe3b34ef4

tdf#105562 Correct page for AND/OR logic function